> For the complete documentation index, see [llms.txt](https://docs.veno.finance/veno-finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.veno.finance/veno-finance/additional/developers-resources.md).

# Developers Resources

## How to obtain CRO:LCRO exchange rate?

* **Network**: Cronos
* **LCRO contract address**: `0x9fae23a2700feecd5b93e43fdbc03c76aa7c08a6`
* Call `getTotalPooledCro` and `totalSupply`, then divide the total pooled CRO by the total supply of LCRO amount to receive the CRO:LCRO exchange rate.
* ABI:

{% file src="/files/aKNCX8POMkEjzOniKXtu" %}

## How to obtain ATOM:LATOM exchange rate?

* **Network**: Cronos
* **LATOM contract address**: `0xac974ee7fc5d083112c809ccb3fce4a4f385750d`
* Call `getTotalPooledToken` and `totalSupply` , then divide the total pooled ATOM amount by the total supply of LATOM to receive the ATOM:LATOM exchange rate.
* ABI:

{% file src="/files/GtymvM62rg4t8KJYqh6c" %}

## How to obtain TIA:LTIA exchange rate?

* **Network:** Cronos
* **LTIA contract address:** `0x276e28664dec4982f892a5b836e11f23040b6995`
* Call `getTotalPooledToken` and `totalSupply`, then divide the total pooled TIA amount by the total supply of LTIA to receive the TIA:LTIA exchange rate.
* ABI:

{% file src="/files/CFpUrPS6E33n3nsmXfSQ" %}

## How to obtain ETH:LETH exchange rate?

* **Network**: zkSync Era
* **LETH contract address**: `0xE7895ed01a1a6AAcF1c2E955aF14E7cf612E7F9d`
* Call `getTotalPooledToken` and `totalSupply`, then divide the total pooled ETH amount by the total supply of LETH to receive the ETH:LETH exchange rate.
* ABI:

{% file src="/files/ZmaGSchREZgZafHcImnZ" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.veno.finance/veno-finance/additional/developers-resources.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
